Subject: Re: bug#71550: [PATCH] Add jsdoc support to js-ts-mode

From: Dmitry Gutov <[email-masked]>
Date: Sat, 22 Jun 2024 00:53:43 +0300

Eli, is this okay for master (Emacs 30), or should it wait until the 
release branch is cut?

On 14/06/2024 15:33, Damien Cassou wrote:
> Tags: patch
> 
> Hi,
> 
> jsdoc [1] is a special syntax to document JavaScript code. The attached
> patch adds a jsdoc parser and font-lock settings to files using the
> `js-ts-mode' major mode if the jsdoc grammar is available. Before/after
> screenshots are attached to this email.
> 
> [1] jsdoc: https://jsdoc.app/
> 
> The new code does *not* make `js-ts-mode' dependent on the availability
> of the jsdoc grammar: instead, `js-ts-mode' will keep working as it
> works today if the jsdoc grammar is absent.
> 
> The support for paragraph filling currently in master is broken because
> the prefix '*' isn't added at the beginning of lines when filling
> documentation blocks. I tried changing the value of
> `c-ts-common--comment-regexp' to include "description" (as this is what
> the jsdoc parser uses for text) but the result is worse. I also tried
> reusing `js-fill-paragraph' but that fails as well. The result of this
> patch is that `M-q' doesn't change anything anymore in these blocks. I
> will report a bug and seek assistance to fix it if this patch is merged.